/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element.impl;

import org.ow2.bonita.facade.def.element.DeadlineDefinition;
import org.ow2.bonita.util.Misc;

public class DeadlineDefinitionImpl implements DeadlineDefinition {

  private static final long serialVersionUID = 6091951874300876284L;

  protected String deadlineCondition;
  protected String exceptionName;
  protected Execution execution;

  protected DeadlineDefinitionImpl() {
  }

  public DeadlineDefinitionImpl(final String deadlineCondition, final String exceptionName, final Execution execution) {
    super();
    this.deadlineCondition = deadlineCondition;
    this.exceptionName = exceptionName;
    this.execution = execution;
  }

  public DeadlineDefinitionImpl(final DeadlineDefinition src) {
    Misc.checkArgsNotNull(src);
    this.deadlineCondition = src.getDeadlineCondition();
    this.exceptionName = src.getExceptionName();
    this.execution = src.getExecution();
  }

  public String getDeadlineCondition() {
    return this.deadlineCondition;
  }

  public String getExceptionName() {
    return this.exceptionName;
  }

  public Execution getExecution() {
    return this.execution;
  }

}
