/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element.impl;

import org.ow2.bonita.facade.def.element.ExternalReferenceDefinition;
import org.ow2.bonita.util.Misc;


public class ExternalReferenceDefinitionImpl implements ExternalReferenceDefinition {

  /**
   * 
   */
  private static final long serialVersionUID = -4732071343163454734L;
  protected String location;
  protected String namespace;
  protected String xref;

  protected ExternalReferenceDefinitionImpl() { }

  public ExternalReferenceDefinitionImpl(String location, String namespace,
      String xref) {
    super();
    this.location = location;
    this.namespace = namespace;
    this.xref = xref;
  }

  public ExternalReferenceDefinitionImpl(ExternalReferenceDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    this.location = src.getLocation();
    this.namespace = src.getNamespace();
    this.xref = src.getXref();
  }

  public String getLocation() {
    return location;
  }

  public String getNamespace() {
    return namespace;
  }

  public String getXref() {
    return xref;
  }

}


