package org.ow2.bonita.facade.def.element.impl;

import java.io.Serializable;

import org.ow2.bonita.facade.def.element.Resource;
import org.ow2.bonita.util.BonitaRuntimeException;

public class ResourceImpl implements Serializable, Resource {

  /**
   * 
   */
  private static final long serialVersionUID = 6140819526976020847L;
  protected long dbid;
  protected String path;
  protected byte[] data;

  protected ResourceImpl() { }
  
  ResourceImpl(String path, byte[] data) {
    this.path = path;
    this.data = data;
    if (this.data == null) {
      throw new BonitaRuntimeException("Data inside a resource can't be null!");
    }
  }
  public String getPath() {
    return path;
  }
  public byte[] getData() {
    return data;
  }
  
  @Override
  public int hashCode() {
    int hashcode = data.hashCode() * 7;
    if (path != null) {
      hashcode = hashcode + 11 * path.hashCode();
    }
    return hashcode;
  }
  
  @Override
  public boolean equals(Object obj) {
    if (obj == null) {
      return false;
    }
    if (!(obj instanceof ResourceImpl)) {
      return false;
    }
    ResourceImpl other = (ResourceImpl) obj;
    boolean equals = data.equals(other.getData());
    if (path == null) {
      equals = equals && other.getPath() == null;
    } else {
      equals = equals && path.equals(other.getPath());
    }
    return equals;
  }
  
  @Override
  public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append(this.getClass().getName());
    sb.append(": path=");
    sb.append(path);
    sb.append(", data=");
    if (data == null) {
      sb.append(", null");  
    } else {
      sb.append(data.length);
    }
    return sb.toString();
  }
}
