/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.runtime.impl;

import java.util.List;

import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.RouteBody;
import org.ow2.bonita.facade.uuid.RouteBodyUUID;
import org.ow2.bonita.util.Misc;
import org.ow2.bonita.util.Misc.NullCheckResult;


public class RouteBodyImpl extends ActivityBodyImpl implements RouteBody {

  /**
   * 
   */
  private static final long serialVersionUID = -337738172704522083L;

  protected RouteBodyImpl() {
    super();
  }

  public RouteBodyImpl(RouteBodyUUID routeBodyUUID) {
    super(routeBodyUUID);
    NullCheckResult checkResult = Misc.findNull(routeBodyUUID);
    if (checkResult.hasNull()) {
      List<String> message = Misc.getStringFrom(checkResult, "routeBodyUUID");
      throw new IllegalArgumentException("These arguments are null: " + message);
    }
  }

  public RouteBodyImpl(final RouteBody routeBody) {
    super(routeBody);
  }

  public ActivityBody copy() {
    return new RouteBodyImpl(this);
  }

  @Override
  public RouteBodyUUID getUUID() {
    return (RouteBodyUUID) super.getUUID();
  }

}


