/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.runtime.impl;

import java.util.List;

import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.SubflowBody;
import org.ow2.bonita.facade.uuid.SubflowBodyUUID;
import org.ow2.bonita.util.Misc;
import org.ow2.bonita.util.Misc.NullCheckResult;


public class SubflowBodyImpl extends ActivityBodyImpl implements SubflowBody {

  /**
   * 
   */
  private static final long serialVersionUID = -8066278409836641376L;

  protected SubflowBodyImpl() {
    super();
  }

  public SubflowBodyImpl(SubflowBodyUUID subflowUUID) {
    super(subflowUUID);
    NullCheckResult checkResult = Misc.findNull(subflowUUID);
    if (checkResult.hasNull()) {
      List<String> message = Misc.getStringFrom(checkResult, "subflowUUID");
      throw new IllegalArgumentException("These arguments are null: " + message);
    }
  }

  public SubflowBodyImpl(final SubflowBody subflowBody) {
    super(subflowBody);
  }

  public ActivityBody copy() {
    return new SubflowBodyImpl(this);
  }

  @Override
  public SubflowBodyUUID getUUID() {
    return (SubflowBodyUUID) super.getUUID();
  }

}


